List all Customers

Returns a paginated list of your customers based on optional query parameters. If the customer search query parameter is used, the list is sorted by relevance, otherwise, the customers are returned sorted by creation date, with the most recently created customers appearing first.

Query Params
int64
1 to 100

Set a limit on the number of customers to be returned. The limit can range between 1 and 100, the default is 10.

int64
≥ 1

Indicate which page of the customer list to return, the default is 1.

string

Filter by a customer's name. Any order parameters will be ignored and results will be ordered by similarity to the search term.

status
array of strings

Filter by the customer's status. This parameter can accept multiple values, allowing for a combination of status filters. Separate each status with a comma. The available filter options are: 'approved', 'rejected', and 'unknown', which reflect the customer approved field set by you as true, false, and null respectively. For example, '?status=approved,rejected' will filter customers whose status is either 'approved' or 'rejected'.

status
string
enum

Option to order the list of customers. There are two options: 'created_at' and '-created_at' where customers are returned sorted by creation date in ascending or descending order respectively.

Allowed:
string

The date filter allows you to filter customers by date intervals. The value must be in the format yyyy-MM-dd or yyyy-MM-dd'T'HH:mm:ssZ for precise filtering. The filter includes everything from the start date up to but not including the end date. startDate and endDate must both be set to filter by date.

string

The date filter allows you to filter customers by date intervals. The value must be in the format yyyy-MM-dd or yyyy-MM-dd'T'HH:mm:ssZ for precise filtering. The filter includes everything from the start date up to but not including the end date. endDate and startDate must both be set to filter by date.

uuid

Filter customers created only by this user id. This user must be in your organisation and you must have permission to access their customers.

string

Filter customers where at least one document has been marked with the descriptive tag supplied.

string

A comma separated list of customer UUIDs. This will filter the customers to only include the ones with the given UUIDs.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
Response
Choose an example:
application/json
text/plain